/*******************************************************************************
* Title: 74HC595_Setup.h                                                       *
* Version: 1.0                                                                 *
* Author: Jeff Nybo                                                            *
* Date: June 13, 2011                                                          *
*                                                                              *
* Description:                                                                 *
* This file contains the functions that setup the 74HC595 8-Bit Shift Register *
* and send data to it via the Serial Peripheral Interface. (SPI)               *
*******************************************************************************/

/*************************************************
*                  Constants                     *
*************************************************/ 
#define SDO_595   PORTCbits.RC7
#define SDI_595   PORTBbits.RB0
#define SCL_595   PORTBbits.RB1

#define LAT_595   PORTDbits.RD2
#define RST_595   PORTDbits.RD3

#define BOTTLE    PORTCbits.RC2
#define LEMON     PORTCbits.RC1

/*************************************************
*              Function Prototypes               *
*************************************************/                              
void SPI_Send_595(uint32 data);
void Reset_595(void);
void Init_595(void);
