/*******************************************************************************
* Title: Interrupt_Control.h                                                   *
* Version: 1.0                                                                 *
* Author: Jeff Nybo                                                            *
* Date: January 10, 2011                                                       *
*                                                                              *
* Description:                                                                 *
* This file contains the function prototypes that are used in controlling the  *
* operation of the interrupts.                                                 *
*******************************************************************************/

/*************************************************
*                  Constants                     *
*************************************************/ 
#define GLOBAL_INTERRUPTS_ON        0x01
#define GLOBAL_INTERRUPTS_OFF       0x00

/*************************************************
*                   Macros                       *
*************************************************/
#define GLOBAL_INTERRUPTS(x)    (INTCONbits.GIE = x)

/*************************************************
*              Function Prototypes               *
*************************************************/  
void Interrupts_Init(byte state);
void ISR_High(void);
void ISR_Low(void);  
