/*******************************************************************************
* Title: SPI_Setup.h                                                           *
* Version: 1.0                                                                 *
* Author: Jeff Nybo                                                            *
* Date: November 13, 2010                                                      *
*                                                                              *
* Description:                                                                 *
* This file contains the functions that allow the user to set up the SPI and   *
* send and receive data.                                                       *
*******************************************************************************/

/*************************************************
*                  Constants                     *
*************************************************/ 
/********* Sample Bit *********/
#define SMP_END  0x8000
#define SMP_MID  0x0000

/**** SPI Clock Select Bit ****/
#define TX_A_I   0x4000
#define TX_I_A   0x0000

/**** Collision Detect Bit ****/
#define COL_ON   0x80 
#define COL_OFF  0x00 

/** Overflow Indicator Bit**/
#define OVF_ON   0x40 
#define OVF_OFF  0x00

/***** SPI Enable Bit *****/
#define SPI_ON   0x20
#define SPI_OFF  0x00

/**** Clock Polarity Bit ****/
#define IDLE_H   0x10
#define IDLE_L   0x00

/**** SPI Mode Select Bits ****/
#define SLA_NSS  0x05       
#define SLA_ALL  0x04        
#define MAS_T2   0x03        
#define MAS_64   0x02          
#define MAS_4    0x01          
#define MAS_16   0x00  

/*************************************************
*              Function Prototypes               *
*************************************************/  
void SPI_State(byte state); 
void SPI_Init(uint16 setup);     
byte SPI_Send(byte Tx);              
                       